define(["require", "exports", "tslib", "react", "office-ui-fabric-react/lib/Button", "office-ui-fabric-react/lib/Toggle", "office-ui-fabric-react/lib/ColorPicker", "office-ui-fabric-react/lib/Utilities", "office-ui-fabric-react/lib/Styling"], function (require, exports, tslib_1, React, Button_1, Toggle_1, ColorPicker_1, Utilities_1, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var ButtonThemedExample = (function (_super) {
        tslib_1.__extends(ButtonThemedExample, _super);
        function ButtonThemedExample() {
            var _this = _super.call(this) || this;
            _this.state = {
                theme: Styling_1.createTheme({
                    palette: {
                        themePrimary: 'green'
                    }
                })
            };
            return _this;
        }
        ButtonThemedExample.prototype.render = function () {
            var _this = this;
            var _a = this.props, disabled = _a.disabled, checked = _a.checked;
            return (React.createElement("div", { className: 'ms-BasicButtonsExample' },
                React.createElement(ColorPicker_1.ColorPicker, { color: this.state.theme.palette.themePrimary, onColorChanged: function (themePrimary) { return _this.setState({
                        theme: Styling_1.createTheme({
                            palette: { themePrimary: themePrimary }
                        })
                    }); } }),
                React.createElement(Button_1.PrimaryButton, { iconProps: { iconName: 'AddFriend' }, disabled: disabled, checked: checked, text: 'Click to assign current theme to global styling', onClick: function () {
                        Styling_1.loadTheme(_this.state.theme);
                    } }),
                React.createElement(Utilities_1.Customizer, { settings: this.state },
                    React.createElement("div", null,
                        React.createElement(Button_1.PrimaryButton, { iconProps: { iconName: 'AddFriend' }, disabled: disabled, checked: checked, text: 'Themed' }),
                        React.createElement(Button_1.PrimaryButton, { iconProps: { iconName: 'AddFriend' }, disabled: disabled, checked: checked, text: 'Themed' }),
                        React.createElement(Button_1.PrimaryButton, { iconProps: { iconName: 'AddFriend' }, disabled: disabled, checked: checked, text: 'Themed' }),
                        React.createElement(Toggle_1.Toggle, null)))));
        };
        return ButtonThemedExample;
    }(React.Component));
    exports.ButtonThemedExample = ButtonThemedExample;
});

//# sourceMappingURL=Button.Themed.Example.js.map
